#!/bin/sh
#-*-mode:  sh -*-

# Copyright (c) 2007-2017, Aleksey Cheusov <vle@gmx.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
############################################################

set -e

usage (){
    cat 1>&2 <<EOF
pkg_cleanup_distdir - analyses ALLSRCFILES field of src_summary
given on input and optionally removes files and directories in DISTDIR
not referenced by any package.

usage: pkg_cleanup_distdir [OPTIONS] [files...]
OPTIONS:
  -h     display this help message
  -d <DIR>      directory to clean up
  -r     remove unreferenced files and empty directories
EOF
}

opts=''
while getopts d:hr f; do
    case "$f" in
	h)   usage; exit 0;;
	r)   opts='-r';;
	d)   DISTDIR="$OPTARG";;
	?)   printf "Run pkg_cleanup_distdir -h for details\n"; exit 2;;
    esac
done
shift `expr $OPTIND - 1`

: ${DISTDIR:=/usr/pkgsrc/distfiles}
export DISTDIR

pkg_cleanup_dir -d "$DISTDIR" -f ALLSRCFILES $opts "$@"
